Download it now!
Bug 75056 - FILESAVE: Overlining on partial content of cell lost
Summary: FILESAVE: Overlining on partial content of cell lost
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-16 14:34 UTC by Laurent BP
Modified: 2014-05-24 11:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet containing in A1 text with first character only with overlining (9.10 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-16 14:34 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-02-16 14:34:48 UTC
Created attachment 94161 [details]
Spreadsheet containing in A1 text with first character only with overlining

Problem description:
If overlining is set on a part of the content of a cell, this format will be lost on save with 4.2 (regression from 4.1)

Steps to reproduce:
1. Open attached file (built with LibO 4.1.5 release)
2. Modify something in the file
2. Save the file
3. File > Reload

Current behavior:
Overlining is lost.

Expected behavior:
Overlining should be kept.

Reproduce on Win7 with Version: 4.2.0.0.alpha0+
Build ID: 4a8f7ddc290d1ea3131de6611b6833b77ac7ab1f
Time: 2013-08-28

NOT reproduce with Version: 4.2.0.0.alpha0+
Build ID: 2f6cbe13e61c44d4bab8192a4708b698d3d9da33
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-07-25_00:00:21
Comment 1 Laurent BP 2014-02-16 14:39:35 UTC
Confirmed with LibO 4.2.1 RC1
NOT confirmed with LibO 4.1.5 RC3 release
Comment 2 gibi 2014-02-16 15:55:14 UTC
NOT reproduced with Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b LINUX X64 deb.

Perhaps platform dependant ? Sorry I don't have any windows to confirm.
Comment 3 Jean-Baptiste Faure 2014-02-16 16:52:13 UTC
Reproducible for me with LibreOffice 4.2.2.0.0+ (build ID: ff53d15a6633b1188e97b8b15a71190f072afeea) under Ubuntu 13.10 x86-64.

Something strange: overline the second character instead of the first, save the file and reopen it. Observed behavior: it is the first character which is overlined, not the second.

Best regards. JBF
Comment 4 gibi 2014-02-16 19:50:15 UTC
Sorry, I didn't follow exactly the procedure:
I saved it with another name (save as ...) WITHOUT modifying any content.

So I confirm the bug under Linux X64 deb, version 4.2.1.1.
Comment 5 pierre-yves samyn 2014-02-17 09:37:06 UTC
Hello

Reproduce on windows 7/64 with Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b

and Version: 4.3.0.0.alpha0+
Build ID: e076b5290e706b8a69abd397a9f255eba6a0cd1a
TinderBox: Win-x86@39, Branch:master, Time: 2014-02-13_23:23:34

Regards
Pierre-Yves
Comment 6 Kohei Yoshida 2014-05-16 02:52:12 UTC
I'm on this.  It's in the same area as Bug 77537.
Comment 7 Commit Notification 2014-05-16 14:48:26 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c0b8937f4f41ed1e4a01151bc96113f65c2770c

fdo#75056: Write test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-05-16 14:48:44 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcf5b5c081ded93b12dd888236d0a860b7693ed1

fdo#75056: Overline attribute needs special treatment as well.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2014-05-16 14:53:14 UTC
4.2 backport: https://gerrit.libreoffice.org/9375
Comment 10 Commit Notification 2014-05-16 15:33:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e373ca05c6d332d139d5a7553faf15d1d0c8cdeb&h=libreoffice-4-2

fdo#75056: Overline attribute needs special treatment as well.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Kohei Yoshida 2014-05-16 15:35:43 UTC
Fixed.
Comment 12 Jean-Baptiste Faure 2014-05-18 18:44:11 UTC
Verified fixed in LO 4.2.5.0.0+ under Ubuntu 14.04 x86-64

Thank you very much.
Best regards. JBF
Comment 13 Laurent BP 2014-05-24 11:07:26 UTC
Verified with Version: 4.2.5.0.0+
Build ID: f3ca9cc78e77dda656b5c39be928fdbb7f8babe8
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-23_03:10:34

and Version: 4.3.0.0.beta1
Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f